step in opportunity
Stop an opportunity's pending autopilot transition so it can be reviewed. Cannot undo an already submitted Reddit action. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
Stop an opportunity's pending autopilot transition so it can be reviewed. Cannot undo an already submitted Reddit action. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
Rankhog organization API key sent as Authorization: Bearer rhog_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/v1/growth/step-in-opportunity" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "org_demo", "websiteId": "site_demo", "managedRedditAccountId": "mra_demo", "idempotencyKey": "growth-request-1", "opportunityId": "opp_demo" }'{ "status": "updated", "jobId": null}{ "error": { "code": "agentic_invalid_input", "message": "Invalid capability input." }}{ "error": { "code": "agentic_unauthorized", "message": "Authentication is required." }}{ "error": { "code": "agentic_paid_plan_required", "message": "An active paid product is required." }}{ "error": { "code": "agentic_missing_scope", "message": "The required permission has not been granted." }}{ "error": { "code": "agentic_website_not_found", "message": "Product not found." }}{ "error": { "code": "agentic_idempotency_conflict", "message": "This idempotency key was already used with different input." }}{ "error": { "code": "agentic_write_rate_limited", "message": "Growth mutations are limited to 120 per actor and organization per hour." }}retry opportunity execution POST
Retry an eligible failed Reddit execution. Uncertain submissions still require verification before any resend. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
set opportunity executor POST
Select a granted eligible Reddit account without sending or rewriting the opportunity draft. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.